Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JSpinnerOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JSpinnerOperator

All Implemented Interfaces:
  Outputable, Timeoutable

Direct Known Subclasses:
  JSpinnerOperator.DateSpinnerOperator, JSpinnerOperator.ListSpinnerOperator, JSpinnerOperator.NumberSpinnerOperator

public class JSpinnerOperator
extends JComponentOperator
implements Timeoutable, Outputable

Provides methods to work with `javax.swing.JSpinner` component

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `JSpinnerOperator.NumberSpinnerOperator`, `JSpinnerOperator.ListSpinnerOperator`, `JSpinnerOperator.DateSpinnerOperator`

Inner Class Summary
`static class` | `JSpinnerOperator.DateScrollAdjuster` A `ScrollAdjuster` to be used for `JSpinner` component having `SpinnerDateModel` model.
`class` | `JSpinnerOperator.DateSpinnerOperator` Provides some specific functionality for `JSpinner` components having `SpinnerDateModel` model.
`static class` | `JSpinnerOperator.ExactScrollAdjuster` Class for a scrolling of a spinner having unknown model type.
`static class` | `JSpinnerOperator.JSpinnerByTextFinder` Allows to find component by text.
`static class` | `JSpinnerOperator.JSpinnerFinder` Checks component type.
`static class` | `JSpinnerOperator.ListScrollAdjuster` A `ScrollAdjuster` to be used for `JSpinner` component having `SpinnerListModel` model.
`class` | `JSpinnerOperator.ListSpinnerOperator` Provides some specific functionality for `JSpinner` components having `SpinnerListModel` model.
`static class` | `JSpinnerOperator.NumberScrollAdjuster` A `ScrollAdjuster` to be used for `JSpinner` component having `SpinnerNumberModel` model.
`class` | `JSpinnerOperator.NumberSpinnerOperator` Provides some specific functionality for `JSpinner` components having `SpinnerNumberModel` model.
`static class` | `JSpinnerOperator.ObjectScrollAdjuster` Abstract class for a scrolling of a spinner having unknown model type.
`static class` | `JSpinnerOperator.SpinnerModelException` Exception is thown whenever spinner model is threated wrong.
`static class` | `JSpinnerOperator.ToStringScrollAdjuster` Class for a scrolling of a spinner having unknown model type.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `VALUE_DPROP` Identifier for a "value" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JSpinnerOperator(ContainerOperator cont)` Constructor.
`JSpinnerOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JSpinnerOperator object.
`JSpinnerOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JSpinnerOperator object.
`JSpinnerOperator(ContainerOperator cont, int index)` Constructor.
`JSpinnerOperator(ContainerOperator cont, java.lang.String text)` Constructs a JSpinnerOperator object.
`JSpinnerOperator(ContainerOperator cont, java.lang.String text, int index)` Constructs a JSpinnerOperator object.
`JSpinnerOperator(javax.swing.JSpinner b)` Constructor.

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JSpinner.addChangeListener(ChangeListener)` through queue
`static void` | `checkModel(JSpinnerOperator oper, java.lang.Class modelClass)` Checks operator's model type.
`void` | `commitEdit()` Maps `JSpinner.commitEdit()` through queue
`static javax.swing.JSpinner` | `findJSpinner(java.awt.Container cont)` Searches 0'th JSpinner in container.
`static javax.swing.JSpinner` | `findJSpinner(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JSpinner in container.
`static javax.swing.JSpinner` | `findJSpinner(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JSpinner in container.
`static javax.swing.JSpinner` | `findJSpinner(java.awt.Container cont, int index)` Searches JSpinner in container.
`javax.swing.event.ChangeListener[]` | `getChangeListeners()` Maps `JSpinner.getChangeListeners()` through queue
`JSpinnerOperator.DateSpinnerOperator` | `getDateSpinner()` Returns an instance of `DateSpinnerOperator` operator, the operator used for `JSpinner` having `SpinnerDateModel` model.
`JButtonOperator` | `getDecreaseOperator()` Returns an operator for a button used for value decreasing.
`java.util.Hashtable` | `getDump()` Returns information about component.
`javax.swing.JComponent` | `getEditor()` Maps `JSpinner.getEditor()` through queue
`JButtonOperator` | `getIncreaseOperator()` Returns an operator for a button used for value increasing.
`JSpinnerOperator.ListSpinnerOperator` | `getListSpinner()` Returns an instance of `ListSpinnerOperator` operator, the operator used for `JSpinner` having `SpinnerListModel` model.
`java.lang.Object` | `getMaximum()` Returns a maximal value.
`java.lang.Object` | `getMinimum()` Returns a minimal value.
`javax.swing.SpinnerModel` | `getModel()` Maps `JSpinner.getModel()` through queue
`java.lang.Object` | `getNextValue()` Maps `JSpinner.getNextValue()` through queue
`JSpinnerOperator.NumberSpinnerOperator` | `getNumberSpinner()` Returns an instance of `NumberSpinnerOperator` operator, the operator used for `JSpinner` having `SpinnerNumberModel` model.
`TestOut` | `getOutput()` Returns print output streams or writers.
`java.lang.Object` | `getPreviousValue()` Maps `JSpinner.getPreviousValue()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`javax.swing.plaf.SpinnerUI` | `getUI()` Maps `JSpinner.getUI()` through queue
`java.lang.Object` | `getValue()` Maps `JSpinner.getValue()` through queue
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JSpinner.removeChangeListener(ChangeListener)` through queue
`void` | `scrollTo(ScrollAdjuster adj)` Scrolls to reach a condition specified by `ScrollAdjuster`
`void` | `scrollToMaximum()` Scrolls to maximum value.
`void` | `scrollToMinimum()` Scrolls to minimum value.
`void` | `scrollToObject(java.lang.Object value, int direction)` Scrolls to exact match of a spinner value to the specified value.
`void` | `scrollToString(java.lang.String pattern, int direction)` Scrolls to matching of `getValue().toString()` with the pattern.
`void` | `scrollToString(java.lang.String pattern, Operator.StringComparator comparator, int direction)` Scrolls to matching of `getValue().toString() with the pattern.`
`void` | `setEditor(javax.swing.JComponent jComponent)` Maps `JSpinner.setEditor(JComponent)` through queue
`void` | `setModel(javax.swing.SpinnerModel spinnerModel)` Maps `JSpinner.setModel(SpinnerModel)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setUI(javax.swing.plaf.SpinnerUI spinnerUI)` Maps `JSpinner.setUI(SpinnerUI)` through queue
`void` | `setValue(java.lang.Object object)` Maps `JSpinner.setValue(Object)` through queue
`static javax.swing.JSpinner` | `waitJSpinner(java.awt.Container cont)` Waits 0'th JSpinner in container.
`static javax.swing.JSpinner` | `waitJSpinner(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JSpinner in container.
`static javax.swing.JSpinner` | `waitJSpinner(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JSpinner in container.
`static javax.swing.JSpinner` | `waitJSpinner(java.awt.Container cont, int index)` Waits JSpinner in container.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DPROP

    public static final java.lang.String VALUE_DPROP

  Identifier for a "value" property.
  See Also:
    `getDump()`

Constructor Detail

### JSpinnerOperator

    public JSpinnerOperator(javax.swing.JSpinner b)

  Constructor.
  Parameters:
    `b` - JSpinner component.

### JSpinnerOperator

    public JSpinnerOperator(ContainerOperator cont,
                            ComponentChooser chooser,
                            int index)

  Constructs a JSpinnerOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Throws:
    `TimeoutExpiredException` -

### JSpinnerOperator

    public JSpinnerOperator(ContainerOperator cont,
                            ComponentChooser chooser)

  Constructs a JSpinnerOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
  Throws:
    `TimeoutExpiredException` -

### JSpinnerOperator

    public JSpinnerOperator(ContainerOperator cont,
                            java.lang.String text,
                            int index)

  Constructs a JSpinnerOperator object.
  Parameters:
    `cont` - The operator for a container containing the sought for button.
    `text` - toString() representation of the current spinner value.
    `index` - Ordinal component index. The first component has `index` 0.
  Throws:
    `TimeoutExpiredException` -

### JSpinnerOperator

    public JSpinnerOperator(ContainerOperator cont,
                            java.lang.String text)

  Constructs a JSpinnerOperator object.
  Parameters:
    `cont` - The operator for a container containing the sought for button.
    `text` - toString() representation of the current spinner value.
  Throws:
    `TimeoutExpiredException` -

### JSpinnerOperator

    public JSpinnerOperator(ContainerOperator cont,
                            int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JSpinnerOperator

    public JSpinnerOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJSpinner

    public static javax.swing.JSpinner findJSpinner(java.awt.Container cont,
                                                    ComponentChooser chooser,
                                                    int index)

  Searches JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JSpinner instance or null if component was not found.

### findJSpinner

    public static javax.swing.JSpinner findJSpinner(java.awt.Container cont,
                                                    ComponentChooser chooser)

  Searches 0'th JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JSpinner instance or null if component was not found.

### findJSpinner

    public static javax.swing.JSpinner findJSpinner(java.awt.Container cont,
                                                    int index)

  Searches JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JSpinner instance or null if component was not found.

### findJSpinner

    public static javax.swing.JSpinner findJSpinner(java.awt.Container cont)

  Searches 0'th JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JSpinner instance or null if component was not found.

### waitJSpinner

    public static javax.swing.JSpinner waitJSpinner(java.awt.Container cont,
                                                    ComponentChooser chooser,
                                                    int index)

  Waits JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JSpinner instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSpinner

    public static javax.swing.JSpinner waitJSpinner(java.awt.Container cont,
                                                    ComponentChooser chooser)

  Waits 0'th JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JSpinner instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSpinner

    public static javax.swing.JSpinner waitJSpinner(java.awt.Container cont,
                                                    int index)

  Waits JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JSpinner instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSpinner

    public static javax.swing.JSpinner waitJSpinner(java.awt.Container cont)

  Waits 0'th JSpinner in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JSpinner instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### checkModel

    public static void checkModel(JSpinnerOperator oper,
                                  java.lang.Class modelClass)

  Checks operator's model type.
  Parameters:
    `oper` - an operator to check model
    `modelClass` - a model class.
  Throws:
    `JSpinnerOperator.SpinnerModelException` - if an operator's model is not an instance of specified class.

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### getNumberSpinner

    public JSpinnerOperator.NumberSpinnerOperator getNumberSpinner()

  Returns an instance of `NumberSpinnerOperator` operator, the operator used for `JSpinner` having `SpinnerNumberModel` model.
  Returns:
    a `NumberSpinnerOperator` created for the same `JSpinner` as this operator.
  Throws:
    `JSpinnerOperator.SpinnerModelException` - if an operator's model is not an instance of `SpinnerNumberModel`

### getListSpinner

    public JSpinnerOperator.ListSpinnerOperator getListSpinner()

  Returns an instance of `ListSpinnerOperator` operator, the operator used for `JSpinner` having `SpinnerListModel` model.
  Returns:
    a `ListSpinnerOperator` created for the same `JSpinner` as this operator.
  Throws:
    `JSpinnerOperator.SpinnerModelException` - if an operator's model is not an instance of `SpinnerListModel`

### getDateSpinner

    public JSpinnerOperator.DateSpinnerOperator getDateSpinner()

  Returns an instance of `DateSpinnerOperator` operator, the operator used for `JSpinner` having `SpinnerDateModel` model.
  Returns:
    a `DateSpinnerOperator` created for the same `JSpinner` as this operator.
  Throws:
    `JSpinnerOperator.SpinnerModelException` - if an operator's model is not an instance of `SpinnerDateModel`

### scrollTo

    public void scrollTo(ScrollAdjuster adj)

  Scrolls to reach a condition specified by `ScrollAdjuster`
  Parameters:
    `adj` - scrolling criteria.

### scrollToMaximum

    public void scrollToMaximum()

  Scrolls to maximum value.
  Throws:
    `JSpinnerOperator.SpinnerModelException` - if an operator's model does not have a maximum value.

### scrollToMinimum

    public void scrollToMinimum()

  Scrolls to minimum value.
  Throws:
    `JSpinnerOperator.SpinnerModelException` - if an operator's model does not have a minimum value.

### scrollToObject

    public void scrollToObject(java.lang.Object value,
                               int direction)

  Scrolls to exact match of a spinner value to the specified value.
  Parameters:
    `value` - an value to scroll to.
    `direction` - a scrolling direction - one of `ScrollAdjuster.*_SCROLL_DIRECTION` fields.

### scrollToString

    public void scrollToString(java.lang.String pattern,
                               Operator.StringComparator comparator,
                               int direction)

  Scrolls to matching of `getValue().toString() with the pattern.`
  Parameters:
    `pattern` - a pattern to compare with
    `comparator` - a string comparision criteria
    `direction` - a scrolling direction - one of `ScrollAdjuster.*_SCROLL_DIRECTION` fields.

### scrollToString

    public void scrollToString(java.lang.String pattern,
                               int direction)

  Scrolls to matching of `getValue().toString()` with the pattern. Uses `StringComparator` assigned to the operator.
  Parameters:
    `pattern` - a pattern to compare with
    `direction` - a scrolling direction - one of `ScrollAdjuster.*_SCROLL_DIRECTION` fields.

### getIncreaseOperator

    public JButtonOperator getIncreaseOperator()

  Returns an operator for a button used for value increasing.
  Returns:
    an operator for a first `JButton`inside this spinner.``

### getDecreaseOperator

    public JButtonOperator getDecreaseOperator()

  Returns an operator for a button used for value decreasing.
  Returns:
    an operator for a second `JButton`inside this spinner.``

### getMinimum

    public java.lang.Object getMinimum()

  Returns a minimal value. Returns null if model is not one of the following: `javax.swing.SpinnerDateModel`, `javax.swing.SpinnerListModel`, `javax.swing.SpinnerNumberModel`. Also, returns null if the model does not have a minimal value.
  Returns:
    a minimal value.

### getMaximum

    public java.lang.Object getMaximum()

  Returns a maximal value. Returns null if model is not one of the following: `javax.swing.SpinnerDateModel`, `javax.swing.SpinnerListModel`, `javax.swing.SpinnerNumberModel`. Also, returns null if the model does not have a maximal value.
  Returns:
    a maximal value.

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `ComponentOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### getValue

    public java.lang.Object getValue()

  Maps `JSpinner.getValue()` through queue

### setValue

    public void setValue(java.lang.Object object)

  Maps `JSpinner.setValue(Object)` through queue

### getUI

    public javax.swing.plaf.SpinnerUI getUI()

  Maps `JSpinner.getUI()` through queue

### setUI

    public void setUI(javax.swing.plaf.SpinnerUI spinnerUI)

  Maps `JSpinner.setUI(SpinnerUI)` through queue

### setModel

    public void setModel(javax.swing.SpinnerModel spinnerModel)

  Maps `JSpinner.setModel(SpinnerModel)` through queue

### getModel

    public javax.swing.SpinnerModel getModel()

  Maps `JSpinner.getModel()` through queue

### getNextValue

    public java.lang.Object getNextValue()

  Maps `JSpinner.getNextValue()` through queue

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JSpinner.addChangeListener(ChangeListener)` through queue

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JSpinner.removeChangeListener(ChangeListener)` through queue

### getChangeListeners

    public javax.swing.event.ChangeListener[] getChangeListeners()

  Maps `JSpinner.getChangeListeners()` through queue

### getPreviousValue

    public java.lang.Object getPreviousValue()

  Maps `JSpinner.getPreviousValue()` through queue

### setEditor

    public void setEditor(javax.swing.JComponent jComponent)

  Maps `JSpinner.setEditor(JComponent)` through queue

### getEditor

    public javax.swing.JComponent getEditor()

  Maps `JSpinner.getEditor()` through queue

### commitEdit

    public void commitEdit()

  Maps `JSpinner.commitEdit()` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD